summaryrefslogtreecommitdiff
path: root/bin/update/common.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/update/common.sh')
-rw-r--r--bin/update/common.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/bin/update/common.sh b/bin/update/common.sh
index eb358806fd04..5bba576c702c 100644
--- a/bin/update/common.sh
+++ b/bin/update/common.sh
@@ -26,6 +26,23 @@ get_file_size() {
echo ${info[4]}
}
+check_externals() {
+
+ # check whether we can call the mar executable
+ "$MAR" --version > /dev/null 2>&1
+ if [ $? != 0 ]; then
+ notice "Could not find a valid mar executable in the path or in the MAR environment variable"
+ exit 1
+ fi
+
+ # check whether we can access the bzip2 executable
+ "$BZIP2" --help > /dev/null 2>&1
+ if [ $? != 0 ]; then
+ notice "Could not find a valid bzip2 executable in the PATH or in the BZIP2 environment variable"
+ exit 1
+ fi
+}
+
copy_perm() {
reference="$1"
target="$2"